Loading...
Searching...
No Matches
IODEnhancedUSSeriesModule Class Reference

Class representing the Enhanced Ultrasound Series Module: More...

Inheritance diagram for IODEnhancedUSSeriesModule:

## Public Member Functions

| IODEnhancedUSSeriesModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODEnhancedUSSeriesModule ()
| Constructor.
virtual | ~IODEnhancedUSSeriesModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("EnhancedUSSeriesModule").
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read data into this module from given item.
virtual OFCondition | write (DcmItem &destination)
| Write this module to given item.
virtual OFCondition | getModality (OFString &value, const signed long pos=0) const
| Get Modality, always returns "US".
virtual SOPInstanceReferenceMacro & | getReferencedPPS ()
| Get Referenced Performed Procedure Step.
virtual CodeSequenceMacro & | getPerformedProtocolCode ()
| Get Performed Protocol Code.
virtual OFCondition | getPerformedProtocolType (OFString &value, const signed long pos=0) const
| Get Performed Protocol Type.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes

SOPInstanceReferenceMacro | m_ReferencedPerformedProcedureStep
| Referenced Performed Procedure Step Sequence.
CodeSequenceMacro | m_PerformedProtocolCode
| Performed Protocol Code Sequence (so far, without optional data).

## Static Private Attributes

static const OFString | m_ModuleName
| The name of this module ("EnhancedUSSeriesModule").

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Enhanced Ultrasound Series Module:

Notation: "Attribute name: (VR, VM, Requirement Type)"
Modality: (CS, 1, 1)
Referenced Performed Procedure Step Sequence: (SQ, 1, 1C)
> SOP Instance Reference Macro
Performed Protocol Code Sequence: (SQ, 1, 1C)
> Code Sequence Macro
Not yet explicitly supported:
-------------------------------------------—
> Protocol Context Sequence: (SQ, 1-n, 3)
>> Content Item Macro
>> Content Item Modifier Sequence: (SQ, 1-n, 3)
>>> Content Item Macro
-------------------------------------------—
Performed Protocol Type: (CS, 1, 1C)

## Constructor & Destructor Documentation

## IODEnhancedUSSeriesModule()

IODEnhancedUSSeriesModule::IODEnhancedUSSeriesModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## getModality()

virtual OFCondition IODEnhancedUSSeriesModule::getModality | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Modality, always returns "US".

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getName()

virtual OFString IODEnhancedUSSeriesModule::getName | ( |  | ) | const

virtual

Get name of module ("EnhancedUSSeriesModule").

Returns
  Name of the module ("EnhancedUSSeriesModule")

Implements IODComponent.

## getPerformedProtocolCode()

virtual CodeSequenceMacro & IODEnhancedUSSeriesModule::getPerformedProtocolCode | ( |  | ) |

virtual

Get Performed Protocol Code.

Returns
  Reference to the Performed Protocol information

## getPerformedProtocolType()

virtual OFCondition IODEnhancedUSSeriesModule::getPerformedProtocolType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

Get Performed Protocol Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## getReferencedPPS()

virtual SOPInstanceReferenceMacro & IODEnhancedUSSeriesModule::getReferencedPPS | ( |  | ) |

virtual

Get Referenced Performed Procedure Step.

Returns
  Reference to the Referenced Performed Procedure Step information

## read()

virtual OFCondition IODEnhancedUSSeriesModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read data into this module from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data in this module is cleared first (default: OFTrue)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## write()

virtual OFCondition IODEnhancedUSSeriesModule::write | ( | DcmItem & | destination | ) |

virtual

Write this module to given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modenhusseries.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0